Name:		cantata
Version:	1.1.2
Release:	%mkrel 2
Summary:	Client for the Music Player Daemon (MPD)
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		http://kde-apps.org/content/show.php/Cantata?content=147733
Source0:	http://cantata.googlecode.com/files/cantata-%{version}.tar.bz2
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	pkgconfig(taglib) >= 1.6
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	ffmpeg-devel
BuildRequires:	taglib-extras-devel
BuildRequires:	cdda-devel
BuildRequires:	libmusicbrainz5-devel
Requires:	mpd

%description
Cantata is a (yet another!) client for the music player daemon (MPD). 
Originally started as a fork of QtMPC, the code is now *very* different. To be 
true to QtMPCs origins, Cantata can be compiled with KDE support, or as a pure 
Qt4 application (however, note that this is not fully tested). The interface 
is very configurable - most views can be shown as either a list or tree 
structure.

%files -f %name.lang
%{_kde_bindir}/cantata
%{_kde_datadir}/cantata
%dir %{_kde_prefix}/lib/cantata
%{_kde_prefix}/lib/cantata/cantata-replaygain
%{_kde_appsdir}/solid/actions/cantata-play-audiocd.desktop
%{_kde_applicationsdir}/%{name}.desktop
%{_kde_iconsdir}/hicolor/*/*/*

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kde4 
%make

%install
%makeinstall_std -C build
%find_lang %name 


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-2.mga4
+ Revision: 533656
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 fwang <fwang> 1.1.2-1.mga4
+ Revision: 474642
- update installdir for replaygain
- update file list
- new version 1.1.2

* Fri Jul 12 2013 fwang <fwang> 1.0.3-2.mga4
+ Revision: 453256
- fix build with recent ffmpeg
- rebuild for new ffmpeg

* Thu May 30 2013 fwang <fwang> 1.0.3-1.mga4
+ Revision: 433335
- fix desktop file
- update file list
- new version 1.0.3

* Thu Feb 07 2013 juancho <juancho> 0.9.2-1.mga3
+ Revision: 395053
- Updated to 0.9.2 (bugfix release)

* Fri Jan 11 2013 umeabot <umeabot> 0.9.1-3.mga3
+ Revision: 347387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.9.1-2.mga3
+ Revision: 341614
- rebuild for new ffmpeg

* Sat Dec 22 2012 fwang <fwang> 0.9.1-1.mga3
+ Revision: 333798
- new version 0.9.1

* Sat Dec 08 2012 fwang <fwang> 0.9.0-1.mga3
+ Revision: 328018
- update file list
- new version 0.9.0

* Thu Sep 06 2012 fwang <fwang> 0.8.3-1.mga3
+ Revision: 288733
- new version 0.8.3

* Thu Jul 26 2012 fwang <fwang> 0.8.2-1.mga3
+ Revision: 274441
- new version 0.8.2

* Tue Jul 17 2012 fwang <fwang> 0.8.1-2.mga3
+ Revision: 271647
- add more features

* Tue Jul 17 2012 fwang <fwang> 0.8.1-1.mga3
+ Revision: 271642
- new version 0.8.1

* Tue Jun 05 2012 juancho <juancho> 0.7.1-1.mga3
+ Revision: 255949
- Added missing BR taglib-devel
- Updated to 0.7.1

* Thu Feb 02 2012 juancho <juancho> 0.3.0-1.mga2
+ Revision: 204003
- Updated to 0.3.0

* Mon Jan 09 2012 juancho <juancho> 0.2.0-2.mga2
+ Revision: 194223
- Removed now uneeded cmake option

* Mon Jan 09 2012 juancho <juancho> 0.2.0-1.mga2
+ Revision: 193698
- Updated to 0.2.0 - Upload sources
- Updated to 0.2.0

* Fri Jan 06 2012 juancho <juancho> 0.1.2-1.mga2
+ Revision: 192746
- imported package cantata

